@ECHO OFF
if "%0" == "a:install" goto drivea
if "%0" == "A:INSTALL" goto drivea
if "%0" == "b:install" goto driveb
if "%0" == "B:INSTALL" goto driveb
if "%0" == "INSTALL" goto start
if "%0" == "install" goto start

if "%0" == "a:install.bat" goto drivea
if "%0" == "A:INSTALL.BAT" goto drivea
if "%0" == "b:install.bat" goto driveb
if "%0" == "B:INSTALL.BAT" goto driveb
if "%0" == "install.bat" goto start
if "%0" == "INSTALL.BAT" goto start

Echo 
Echo ERROR: Please type install with only CAPITAL or non-capital
Echo lettters, not a mixture of them !
goto end

:drivea
a:
goto start

:driveb
b:

:start
trixview install.txt
if errorlevel 255 goto abort
cls
installp
if errorlevel 255 goto abort
if errorlevel 3 goto setup
goto cleanup

:setup
cls
call setup2

:cleanup
CD..
IF EXIST SETUP\SETUP2.BAT DEL SETUP\*.BAT > NUL
DEL SETUP\*.DLL > NUL
DEL SETUP\*.EXE > NUL
DEL SETUP\*.INC > NUL
DEL SETUP\*.INF > NUL
DEL SETUP\*.INI > NUL
DEL SETUP\*.LST > NUL
DEL SETUP\*.MOD > NUL
DEL SETUP\*.MST > NUL
RD SETUP > NUL
ECHO.
ECHO The installation of the Audiotrix Pro software is complete!  Please reboot 
ECHO your computer so that all changes may take effect.
ECHO.
GOTO END

:abort
echo 
echo Installation Aborted !
echo.
echo Pressing ESC in the file viewer will abort the installation.
echo.
echo MediaTriX would like you to read the INSTALL.TXT file completely before
echo you proceed with the installation.  While in the file viewer, at any
echo point, pressing ENTER will start the installation immediately.
echo.
echo Thank You for your cooperation, please read the INSTALL.TXT file.
echo.
echo Type INSTALL again to restart the installation.
echo.
:end
